/*
 * @file        Board.c
 *
 * @brief       Source file for Board
 *
 * @version     V1.0.0
 *
 * @date        2023-05-31
 *
 * @attention
 *
 * This firmware is for guidance only and is designed to provide customers with basic chip information support
 *
 * Copyright (c) 2023 sinomcu.com All rights reserved.
 */


/* Includes */
#include "Board.h"

#if defined (MS60F3215_QFN_EVB)
#include "MS60F3215_QFN_EVB\src\MS60F3215_QFN_EVB.c"
#elif defined (MS60F302X_LQFP_EVB)
#include "MS60F302X_LQFP_EVB\src\MS60F302X_LQFP_EVB.c"


#else
#error "Please select first the MS60Fxxx board to be used (in board.c)"
#endif

/** @addtogroup Board
  @{
    
*/

/**@} end of group Board */
