/*!
 * @file        Board.h
 *
 * @brief       Header file for Board
 *
 * @version     V1.0.0
 *
 * @date        2023-05-31
 *
 * @attention
 *
 * This firmware is for guidance only and is designed to provide customers with basic chip information support
 *
 * Copyright (c) 2023 sinomcu.com All rights reserved.
 */

/* Define to prevent recursive inclusion */
#ifndef BOARD_H
#define BOARD_H

#if defined (MS60F3215_QFN_EVB)
#include "MS60F3215_QFN_EVB\inc\MS60F3215_QFN_EVB.h"
#elif defined (MS60F302X_LQFP_EVB)
#include "MS60F302X_LQFP_EVB\inc\MS60F302X_LQFP_EVB.h"


#else
#error "Please select first the MS60F3xxx  board to be used (in board.h)"
#endif

/** @addtogroup Board
  @{
*/

#endif

/**@} end of group Board */
