/**
  ******************************************************************************
  * @file           : systick.h
  * @author         : sinomcu.com-SA
  * @brief          :  Header file of systick module.
  * @gcc            : toolchain version 5 or 6
  *         
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with 
 * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
*/
#ifndef SYSTICK_H
#define SYSTICK_H 			   

#include "ms60f3xxx.h"

void delay_init(void);
void delay_ms(__IO uint32_t nTime);
void Delay_us(__IO uint32_t nTime);
void TimingDelay_Decrement(void);
void systick_Enable_IT(void);
void systick_Disable_IT(void);
#endif





























