#include "include.h"
#include "usart_lin.h" 
#include "systick.h" 

#define SEL_HXTAL_PLL_MODE  0
#define SEL_HRC_PLL_MODE    1
#define SEL_HXTAL_MODE      0
#define SEL_HRC_MODE        0

int	main(void)
{

#if SEL_HXTAL_PLL_MODE
		SCU_SetSysClock(CLK_PLL_USE_HXTAL_LXTAL,HXTAL_8M,HXTAL_LXTAL_TYPE,PLL_72M,SCU_SYS_Div1); //SET HXTAL
#elif SEL_HRC_PLL_MODE
	  SCU_SetSysClock(CLK_PLL_USE_HRC_LRC,HRC_16M,NO_XTAL,PLL_72M,SCU_SYS_Div1);
#elif	SEL_HXTAL_MODE
    SCU_SetSysClock(CLK_16M_USE_HXTAL_LRC,HXTAL_12M,HXTAL_TYPE,PLL_48M,SCU_SYS_Div1); //SET HXTAL
#elif SEL_HRC_MODE
	  SCU_SetSysClock(CLK_16M_USE_HRC_LRC,HRC_16M,HXTAL_TYPE,PLL_48M,SCU_SYS_Div1); //SET HRC
#endif
	
		delay_init();		 			
		USART_LIN_MasterInit();
	
		while (1)
		{
				delay_ms(1000);
				Send_LinFrame(LIN_ID);
		}
}


