#ifndef __USART_LIN_H
#define __USART_LIN_H

#include "ms60f3xxx_usart.h" 
#include "stdint.h"

#define USART_MAX_LEN  20

typedef struct
{
	uint8_t ID;                  
	uint8_t Tx_Data[USART_MAX_LEN]; 
	uint8_t Rx_Data[USART_MAX_LEN];	
	uint8_t CheckSum;  
	uint8_t LIN_Flag;
	
} LIN_Message_T;

extern LIN_Message_T SlaveReceived;
void USART_LIN_SlaveInit(void);

#endif

