#ifndef __UART_H
#define __UART_H

#include "stdint.h"

#define UARTRX_TIMEOUT 10
#define UARTBUF_LENGTH 100

typedef struct
{
    unsigned  flag;
    unsigned short index;
    unsigned short Len;  /*frame length*/
    unsigned short timeout;
    unsigned char buf[UARTBUF_LENGTH];
} UART_DATA_T;

extern UART_DATA_T g_UartRx;
extern uint8_t data_send[8];
extern void UART_TestInit(void);

#endif

