/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : Main program body
  * @gcc            : toolchain version 5 or 6
  *         
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with 
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */

#include "include.h"
int	main()
{
    SCU_SetSysClock(CLK_PLL_USE_HRC_LRC, HRC_16M, NO_XTAL, PLL_32M, SCU_SYS_Div1); /*The pll is frequency doubled to 72Mhz based on the internal HRC*/
    SCU_MCO(CLK_SYS, SCU_OUT_Div8, CLOCK_OUT_ENABLE); /*The PB05 pin outputs the current system clock with 8 frequency division, and the oscilloscope can detect the clock frequency of 9Mhz on the pin*/


	while(1)
    {
    }
}

