#ifndef __USART_LIN_H
#define __USART_LIN_H

#include "ms60f3xxx_usart.h" 
#include "stdint.h"

#define  LIN_ID           0x30

#define  USART_MAX_LEN    20

typedef struct
{
	uint8_t ID;                  
	uint8_t Tx_Data[USART_MAX_LEN]; 
	uint8_t Rx_Data[USART_MAX_LEN];	
	uint8_t CheckSum;  
	uint8_t LIN_Flag;
	
} LIN_Message_T;

void USART_LIN_MasterInit(void);
void LIN_MasterSendHead(uint8_t id);
void LIN_MasterSendAnswer(LIN_Message_T* LINMessage);
void Send_LinFrame(uint8_t ID);

#endif

